<?php

namespace App\Livewire;

use App\Models\Application;
use Livewire\Component;
use Livewire\WithPagination;

class ApplicationList extends Component
{
    use WithPagination;

    public $hideApproved = true;

    public function updatingHideApproved()
    {
        $this->resetPage();
    }

    public function approveApplication($uuid)
    {
        Application::where('uuid', $uuid)->update(['status' => 1]);
    }

    public function rejectApplication($uuid)
    {
        Application::where('uuid', $uuid)->update(['status' => 2]);
    }

    public function render()
    {
        $applications = Application::with('uploads')
            ->when($this->hideApproved !== false, fn($query) => $query->where('status', 0))
            ->latest()
            ->paginate(10);

        return view('livewire.application-list', compact('applications'));
    }
}
